Delete a ruleset
curl --request DELETE \
--url https://api.getfernand.com/organization/rules/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getfernand.com/organization/rules/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getfernand.com/organization/rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfernand.com/organization/rules/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.getfernand.com/organization/rules/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);HttpResponse<String> response = Unirest.delete("https://api.getfernand.com/organization/rules/{id}")
.header("X-API-Key", "<api-key>")
.asString();{
"error": "<string>"
}Delete a ruleset
DELETE
/
organization
/
rules
/
{id}
Delete a ruleset
Permanently deletes a ruleset and all its associated execution history. All rules with higher priority values are automatically shifted up to fill the gap. This action cannot be undone.
Authorizations
Path Parameters
ID of the ruleset to delete.
Response
Ruleset deleted successfully.
Was this page helpful?
⌘I